ru.bitel.bgbilling.modules.npay.server.bean

## Class DebetStatusManageConfig

- java.lang.Object
- - ru.bitel.bgbilling.modules.npay.server.bean.DebetStatusManageConfig

-     public class DebetStatusManageConfig
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebetStatusManageConfig(Preferences moduleSetup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkLockStatus(int status)`
    `int` | `getActiveStatus()` Deprecated. Возвращает только первый статус из списка и не поддерживает правила
    `java.util.List<java.lang.Integer>` | `getActiveStatusList()` Возвращает список кодов статусов (активных)
    `java.lang.String` | `getActiveStatusString()`
    `int` | `getLockStatus()` Deprecated. Возвращает только первый статус из списка и не поддерживает правила
    `java.util.List<java.lang.Integer>` | `getLockStatusList()` Возвращает список кодов статусов (заблокированных)
    `java.lang.String` | `getLockStatusString()`
    `int` | `getNextStatus(int status)`
    `int` | `getServiceSet()`
    `java.math.BigDecimal` | `getSummaForUnlock(java.sql.Connection con, int mid, Contract contract)` Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    `java.lang.String` | `getTariffIds()`
    `boolean` | `isCheckServiceObjectList()`
    `boolean` | `isEnable()`
    `boolean` | `isEnableForContract(Contract contract)`
    `boolean` | `isProcessDependentSub()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebetStatusManageConfig

          public DebetStatusManageConfig(Preferences moduleSetup)

  - ### Method Detail

    - #### isEnable

          public boolean isEnable()

    - #### isEnableForContract

          public boolean isEnableForContract(Contract contract)

    - #### getLockStatus

          @Deprecated
          public int getLockStatus()

      Deprecated. Возвращает только первый статус из списка и не поддерживает правила
      See Also:
        `#getLockStatusList()}`

    - #### getLockStatusList

          public java.util.List<java.lang.Integer> getLockStatusList()

      Возвращает список кодов статусов (заблокированных)
      Returns:

    - #### checkLockStatus

          public boolean checkLockStatus(int status)

    - #### getLockStatusString

          public java.lang.String getLockStatusString()

    - #### getActiveStatus

          @Deprecated
          public int getActiveStatus()

      Deprecated. Возвращает только первый статус из списка и не поддерживает правила
      See Also:
        `#getActiveStatusList()}`

    - #### getActiveStatusList

          public java.util.List<java.lang.Integer> getActiveStatusList()

      Возвращает список кодов статусов (активных)
      Returns:

    - #### getActiveStatusString

          public java.lang.String getActiveStatusString()

    - #### getServiceSet

          public int getServiceSet()

    - #### getTariffIds

          public java.lang.String getTariffIds()

    - #### isProcessDependentSub

          public boolean isProcessDependentSub()

    - #### isCheckServiceObjectList

          public boolean isCheckServiceObjectList()

    - #### getSummaForUnlock

          public java.math.BigDecimal getSummaForUnlock(java.sql.Connection con,
                                                        int mid,
                                                        Contract contract)
                                                 throws ru.bitel.bgbilling.common.BGException

      Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
      Parameters:
        `con` -
        `mid` -
        `cid` -
      Returns:
      Throws:
        `java.lang.Exception`
        `ru.bitel.bgbilling.common.BGException`

    - #### getNextStatus

          public int getNextStatus(int status)